Bug 1921193 - inconsistent ingresscontroller between fresh installed cluster and upgraded cluster
Summary: inconsistent ingresscontroller between fresh installed cluster and upgraded c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.z
Assignee: Ryan Fredette
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1905778
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-27 17:29 UTC by OpenShift BugZilla Robot
Modified: 2021-04-20 19:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-20 19:27:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 541 0 None open [release-4.6] Bug 1921193: Fix inconsistent ingress operator status after upgrade 2021-02-16 06:00:20 UTC
Red Hat Product Errata RHBA-2021:1153 0 None None None 2021-04-20 19:27:48 UTC

Comment 3 Arvind iyengar 2021-03-30 05:41:17 UTC
Verified with upgrade test from 4.1.41 --> 4.2.36 --> 4.3.40 --> 4.4.33 --> 4.5.36 --> to 4.6.0-0.nightly-2021-03-26-191616. At the end of the process, it is observed that the output now looks consistent when compared with a freshly deployed v4.6 cluster:
-------
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-03-26-191616   True        False         14h     Cluster version is 4.6.0-0.nightly-2021-03-26-191616


oc -n openshift-ingress-operator get ingresscontroller/default -oyaml                             
apiVersion: operator.openshift.io/v1
kind: IngressController
metadata:
  creationTimestamp: "2021-03-29T06:46:23Z"
  finalizers:
  - ingresscontroller.operator.openshift.io/finalizer-ingresscontroller
  generation: 1
  name: default
  namespace: openshift-ingress-operator
  resourceVersion: "247409"
  selfLink: /apis/operator.openshift.io/v1/namespaces/openshift-ingress-operator/ingresscontrollers/default
  uid: 79ff227e-905a-11eb-9e00-064af4f07c90
spec: {}
status:
  availableReplicas: 2
  conditions:
  - lastTransitionTime: "2021-03-29T10:59:04Z"
    status: "True"
    type: Available
  - lastTransitionTime: "2021-03-29T07:28:25Z"
    reason: Valid
    status: "True"
    type: Admitted
  - lastTransitionTime: "2021-03-29T07:28:26Z"
    message: The endpoint publishing strategy supports a managed load balancer
    reason: WantedByEndpointPublishingStrategy
    status: "True"
    type: LoadBalancerManaged
  - lastTransitionTime: "2021-03-29T07:28:26Z"
    message: The LoadBalancer service is provisioned
    reason: LoadBalancerProvisioned
    status: "True"
    type: LoadBalancerReady
  - lastTransitionTime: "2021-03-29T07:28:26Z"
    message: DNS management is supported and zones are specified in the cluster DNS config.
    reason: Normal
    status: "True"
    type: DNSManaged
  - lastTransitionTime: "2021-03-29T07:28:27Z"
    message: The record is provisioned in all reported zones.
    reason: NoFailedZones
    status: "True"
    type: DNSReady
  - lastTransitionTime: "2021-03-29T07:28:26Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2021-03-29T13:39:29Z"
    status: "True"
    type: PodsScheduled
  - lastTransitionTime: "2021-03-29T13:39:29Z"
    message: The deployment has Available status condition set to True
    reason: DeploymentAvailable
    status: "True"
    type: DeploymentAvailable
  - lastTransitionTime: "2021-03-29T13:39:29Z"
    message: Minimum replicas requirement is met
    reason: DeploymentMinimumReplicasMet
    status: "True"
    type: DeploymentReplicasMinAvailable
  - lastTransitionTime: "2021-03-29T14:14:27Z"
    message: All replicas are available
    reason: DeploymentReplicasAvailable
    status: "True"
    type: DeploymentReplicasAllAvailable
  domain: apps.aiyengar-41bv.qe.devcluster.openshift.com
  endpointPublishingStrategy:
    loadBalancer:
      scope: External
    type: LoadBalancerService
  observedGeneration: 1
  selector: ingresscontroller.operator.openshift.io/deployment-ingresscontroller=default
  tlsProfile:
    ciphers:
    - TLS_AES_128_GCM_SHA256
    - TLS_AES_256_GCM_SHA384
    - TLS_CHACHA20_POLY1305_SHA256
    - ECDHE-ECDSA-AES128-GCM-SHA256
    - ECDHE-RSA-AES128-GCM-SHA256
    - ECDHE-ECDSA-AES256-GCM-SHA384
    - ECDHE-RSA-AES256-GCM-SHA384
    - ECDHE-ECDSA-CHACHA20-POLY1305
    - ECDHE-RSA-CHACHA20-POLY1305
    - DHE-RSA-AES128-GCM-SHA256
    - DHE-RSA-AES256-GCM-SHA384
    minTLSVersion: VersionTLS12
-------

Comment 8 errata-xmlrpc 2021-04-20 19:27:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.25 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1153


Note You need to log in before you can comment on or make changes to this bug.